<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>ViewAdministratorGUI</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="declaration: package: presentation_layer, class: ViewAdministratorGUI">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ViewAdministratorGUI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">presentation_layer</a></div>
<h1 title="Class ViewAdministratorGUI" class="title">Class ViewAdministratorGUI</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.awt.Component
<div class="inheritance">java.awt.Container
<div class="inheritance">java.awt.Window
<div class="inheritance">java.awt.Frame
<div class="inheritance">javax.swing.JFrame
<div class="inheritance">presentation_layer.ViewAdministratorGUI</div>
</div>
</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code>, <code>javax.accessibility.Accessible</code>, <code>javax.swing.RootPaneContainer</code>, <code>javax.swing.WindowConstants</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">ViewAdministratorGUI</span>
extends javax.swing.JFrame</pre>
<div class="block">- extinde clasa JFrame; contine ca variabile instanta obiecte de tipul JTextField pentru id-ul, numele si pretul produsului, dar si pentru produsele din care este alcatuit produsul compus (pentru adaugarea unui produs de baza sau produs compus), mai contine, de asemenea, variabile instanta pentru noul nume si pentru noul pret (pentru editarea produsului), obiecte de tipul JButton pentru butoanele corespunzatoare operatiilor de adaugare, editare, stergere a unui produs, afisarea tabelului, butonul back, pentru revenirea la fereastra principala a aplicatiei, si patru obiecte de tipul JTable, DefaultTableModel, JScrollPane si respectiv ListSelectionModel, pentru afisarea tabelului in interfata grafica, plus o variabila de tipul int in care este stocat id-ul selectat din tabel; clasa contine un constructor in care este creata fereastra, metode de get pentru variabilele instanta si metode utilizate pentru a adauga cate un ActionListener fiecarui buton; in cazul operatiilor de editare sau stergere a unui produs, este necesara selectarea id-ului corespunzator produsului existent in meniu;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#presentation_layer.ViewAdministratorGUI">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h2>
<a id="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>java.awt.Window.Type</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h2>
<a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>java.awt.Component.BaselineResizeBehavior</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Frame</h3>
<a id="fields.inherited.from.class.java.awt.Frame">
<!--   -->
</a><code>CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a><code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<a id="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a><code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ViewAdministratorGUI</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addAddBtnListener(java.awt.event.ActionListener)">addAddBtnListener</a></span>&#8203;(java.awt.event.ActionListener&nbsp;al)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addBackBtnListener(java.awt.event.ActionListener)">addBackBtnListener</a></span>&#8203;(java.awt.event.ActionListener&nbsp;al)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addDeleteBtnListener(java.awt.event.ActionListener)">addDeleteBtnListener</a></span>&#8203;(java.awt.event.ActionListener&nbsp;al)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addEditBtnListener(java.awt.event.ActionListener)">addEditBtnListener</a></span>&#8203;(java.awt.event.ActionListener&nbsp;al)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addViewAllBtnListener(java.awt.event.ActionListener)">addViewAllBtnListener</a></span>&#8203;(java.awt.event.ActionListener&nbsp;al)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>javax.swing.JScrollPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getjScrollPane()">getjScrollPane</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenuItemID()">getMenuItemID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenuItemName()">getMenuItemName</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenuItemPrice()">getMenuItemPrice</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>javax.swing.table.DefaultTableModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getModel()">getModel</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNewMenuItemName()">getNewMenuItemName</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNewMenuItemPrice()">getNewMenuItemPrice</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getProducts()">getProducts</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>javax.swing.ListSelectionModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSelect()">getSelect</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSelectedID()">getSelectedID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>javax.swing.JTable</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTable()">getTable</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javax.swing.JFrame</h3>
<a id="methods.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a><code>getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Frame</h3>
<a id="methods.inherited.from.class.java.awt.Frame">
<!--   -->
</a><code>addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<a id="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;java.awt.MenuContainer</h3>
<a id="methods.inherited.from.class.java.awt.MenuContainer">
<!--   -->
</a><code>getFont, postEvent</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">ViewAdministratorGUI</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">ViewAdministratorGUI</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getSelect()">getSelect</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.ListSelectionModel</span>&nbsp;<span class="memberName">getSelect</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getSelectedID()">getSelectedID</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getSelectedID</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addAddBtnListener(java.awt.event.ActionListener)">addAddBtnListener</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addAddBtnListener</span>&#8203;(<span class="arguments">java.awt.event.ActionListener&nbsp;al)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addEditBtnListener(java.awt.event.ActionListener)">addEditBtnListener</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addEditBtnListener</span>&#8203;(<span class="arguments">java.awt.event.ActionListener&nbsp;al)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addDeleteBtnListener(java.awt.event.ActionListener)">addDeleteBtnListener</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addDeleteBtnListener</span>&#8203;(<span class="arguments">java.awt.event.ActionListener&nbsp;al)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addViewAllBtnListener(java.awt.event.ActionListener)">addViewAllBtnListener</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addViewAllBtnListener</span>&#8203;(<span class="arguments">java.awt.event.ActionListener&nbsp;al)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addBackBtnListener(java.awt.event.ActionListener)">addBackBtnListener</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addBackBtnListener</span>&#8203;(<span class="arguments">java.awt.event.ActionListener&nbsp;al)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMenuItemID()">getMenuItemID</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">getMenuItemID</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMenuItemName()">getMenuItemName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">getMenuItemName</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMenuItemPrice()">getMenuItemPrice</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">getMenuItemPrice</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getNewMenuItemName()">getNewMenuItemName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">getNewMenuItemName</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getNewMenuItemPrice()">getNewMenuItemPrice</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">getNewMenuItemPrice</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTable()">getTable</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JTable</span>&nbsp;<span class="memberName">getTable</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getModel()">getModel</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.table.DefaultTableModel</span>&nbsp;<span class="memberName">getModel</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getjScrollPane()">getjScrollPane</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JScrollPane</span>&nbsp;<span class="memberName">getjScrollPane</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getProducts()">getProducts</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">getProducts</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ViewAdministratorGUI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
